summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-irc/soju/files/soju.initd')
-rw-r--r--net-irc/soju/files/soju.initd30
1 files changed, 30 insertions, 0 deletions
diff --git a/net-irc/soju/files/soju.initd b/net-irc/soju/files/soju.initd
new file mode 100644
index 000000000000..db6069e85c5f
--- /dev/null
+++ b/net-irc/soju/files/soju.initd
@@ -0,0 +1,30 @@
+#!/sbin/openrc-run
+supervisor=supervise-daemon
+
+name="soju"
+description="User-friendly IRC bouncer"
+
+: ${command_args:="-config /etc/soju/config"}
+: ${error_log:=/var/log/soju.log}
+
+command=/usr/bin/soju
+command_user=soju:soju
+directory="/var/lib/$RC_SVCNAME"
+
+extra_started_commands="reload"
+description_reload="Reload TLS certificate"
+
+depend() {
+ need net localmount
+}
+
+start_pre() {
+ checkpath -d -o $command_user "$directory"
+ checkpath -f -o $command_user "$error_log"
+}
+
+reload() {
+ ebegin "Reloading TLS certificate"
+ $supervisor $RC_SVCNAME --signal HUP
+ eend $?
+}